
QGIS Application - Bug report #11971

MSSQL data with Z and M where Z is NULL wont display

2015-01-08 10:44 AM - westy Vw

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider/MSSQL

Affected QGIS version:2.6.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 20178

Description

If the Z value is NULL in a MSSQL Linestring or Point geometry, the table will load but the data will not display. Since MSSQL must have

a value for Z if you have a value for M because the format is POINT (X Y Z M), it is possible to use NULL for the Z when there is an

unknown value.

This happens frequently, due to the fact that MSSQL is often used with ESRI products which writes NULL for Z when Z is unknown and M

is known.

Example geometry data:

POINT (1199100.2299588919 880237.32388755679 NULL 4.2200000000011642)

Associated revisions

Revision 012f322d - 2015-06-18 09:04 AM - Nathan Woodrow

Fix #11971 - Fix display of MS SQL layers with z and m values

Funded by TechnoglogyOne, Australia

Revision 7878b3f7 - 2015-06-19 05:54 AM - Nathan Woodrow

Fix #11971 - Fix display of MS SQL layers with z and m values

Funded by TechnoglogyOne, Australia

- Backported to 2.8.3

- Cherry-picked from 012f322d96969e8d8db3514bc85bad51246c7a0d

History

#1 - 2015-01-10 06:54 AM - Jürgen Fischer

- Category set to Data Provider/MSSQL

#2 - 2015-06-18 12:05 AM - Nathan Woodrow

- Status changed from Open to Closed

Fixed in changeset commit:"012f322d96969e8d8db3514bc85bad51246c7a0d".
